/**
 * Testet die Klasse Rectangle.
 * 
 * @author Owyn
 * @version 2008-05-01
 */
public class RectangleTest {

    /**
     * Hauptprogramm zum Test der Klasse Rectangle.
     * 
     * @param args Parameter (werden hier nicht bentigt)
     */
    public static void main (String[] args) {

        //Dies sind mgliche Beispiele, die die Funktionen der Klasse Rectangle
        //zeigen demonstrieren sollen.

        Rectangle rec1 = new Rectangle(0, 0, 5, 5);
        Rectangle rec2 = new Rectangle(1, 1, 2, 3);
        Rectangle rec3 = new Rectangle(4, 2, 2, 1);

        System.out.println("Rechteck 1 quadratisch? " + rec1.isSquare());
        System.out.println("Rechteck 2 quadratisch? " + rec2.isSquare());
        System.out.println("Rechteck 3 quadratisch? " + rec3.isSquare());

        System.out.println("Rechteck 2 in 1? " + rec2.isContained(rec1));
        System.out.println("Rechteck 3 in 1? " + rec3.isContained(rec1));

        System.out.println("Rechteck 3 ausserhalb 1? " + rec3.isDisjoint(rec1));
        System.out.println("Rechteck 3 ausserhalb 2? " + rec3.isDisjoint(rec2));

        System.out.println("Flaeche Rechteck 1: " + rec1.area());
        System.out.println("Flaeche Rechteck 2: " + rec2.area());
        System.out.println("Flaeche Rechteck 3: " + rec3.area());

        System.out.println("Rechteck 2 groesser als 1? " + rec2.isGreater(rec1));
        System.out.println("Rechteck 2 groesser als 3? " + rec2.isGreater(rec3));
    }
}